#left-panel,
#app-panel,
.itsm-nav-link {
  transition: 0.2s ease-out 0s;
}

.itsm-nav .uk-nav-sub {
  padding: 0;
  background: #e1e7f3;
}

.itsm-nav .uk-nav-sub .itsm-nav-link-text {
  padding-left: 20px
}

@media screen and (max-width: 768px) {
  .itsm-nav .uk-nav-sub {
    background: none;
  }
}

.itsm-context-menu.left {
  padding: 0;
}

.collapse_button {
  position: relative;
  width: 100%;
  height: 50px;
  display: flex;
  color: #707070;
  align-items: center;
  border-top: 1px solid #e5e5e5;
  background: #FAFAFA;
  cursor: pointer;
  padding: 0 40px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  user-select: none;
  transition: 0.3s ease-in-out;
}

.collapse_button.collapsed {
  padding: 0;
}

#app-panel.collapsed {
  width: calc(100% - 60px) !important;
  left: 55px !important;
}
.itsm-nav .uk-open.itsm-nav-link-active,
.itsm-nav-link.collapsed,
#left-panel.collapsed {
  width: 50px !important;
}


.itsm-nav-link.collapsed:after,
.collapse_button.collapsed span {
  display: none;
}

.collapse_button:hover {
  background: #eee;
}

.collapse_button:after,
.collapse_button:before {
  content: '';
  position: absolute;
  top: 20px;
  display: block;
  width: 8px;
  height: 8px;
  border-bottom: 2px solid #707070;
  border-left: 2px solid #707070;
  margin: -1px;
  transform: rotate(45deg) translate(0px, 0px);
  float: left;
}

.collapse_button.collapsed:after,
.collapse_button.collapsed:before {
  transform: rotate(-135deg) translate(-0px, -0px);
}

.collapse_button:hover:after,
.collapse_button:hover:before {
  animation: arrow-left 1.5s infinite;
}

.collapse_button.collapsed:hover:after,
.collapse_button.collapsed:hover:before {
  animation: arrow-right 1.5s infinite;
}

.collapse_button:after {
  left: 15px;
  animation-delay: -0.1s;
}

.collapse_button:before {
  left: 22px;
  animation-delay: -0.3s;
}

@keyframes arrow-left {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes arrow-right {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
